import { IMargin } from './types/types';
interface IGenericZoom {
    outerElem: HTMLElement;
    elemToZoom: HTMLElement;
    activeZIndex?: number;
    elemToZoomWrapper: HTMLElement;
    zoomMargin?: IMargin;
    transitionDuration?: number;
}
declare class GenericZoom {
    private transitionDuration;
    private activeZIndex;
    private outerElem;
    private elemToZoom;
    private elemToZoomWrapper;
    private zoomMargin;
    private isZoomed;
    constructor({ transitionDuration, outerElem, elemToZoom, elemToZoomWrapper, activeZIndex, zoomMargin, }: IGenericZoom);
    private applyZoom;
    private onTransitionEnd;
    zoom(): void;
    unZoom(): void;
}
export default GenericZoom;
