interface IZoomOverlay {
    outerElem: HTMLElement;
    overlayElem: HTMLElement;
    activeZIndex?: number;
    transitionDuration?: number;
    backgroundColor?: string;
}
declare class ZoomOverlay {
    private zoomOverlay;
    private outerElem;
    private activeZIndex;
    private isZoomed;
    constructor({ outerElem, overlayElem, transitionDuration, backgroundColor, activeZIndex, }: IZoomOverlay);
    private onTransitionEnd;
    private applyZoom;
    zoom(): void;
    unZoom(): void;
}
export default ZoomOverlay;
